Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util
Class CommandLineArgument

    java.lang.Object
      com.beasys.commerce.util.CommandLineArgument

Deprecated Use `CommandLineArgument`

    @Deprecated
    public class CommandLineArgument

extends Object

Representation of a command line argument.

Field Summary
`protected String` | `defaultValue` Deprecated
`protected String` | `description` Deprecated
`protected String` | `flag` Deprecated
`protected boolean` | `required` Deprecated
`protected boolean` | `requiresFlagValue` Deprecated

Constructor Summary
`CommandLineArgument(String aFlag, boolean requiresValue, boolean required)` Deprecated Command line argument constructor.

Method Summary
`boolean` | `equals(Object anObject)` Deprecated Equals.
`String` | `getDefaultValue()` Deprecated Get default value.
`String` | `getDescription()` Deprecated Get description.
`String` | `getFlag()` Deprecated Get flag.
`boolean` | `isRequired()` Deprecated Is required.
`boolean` | `requiresFlagValue()` Deprecated Requires flag value.
`void` | `setDefaultValue(String aDefaultValue)` Deprecated Set default value.
`void` | `setDescription(String aDescription)` Deprecated Set description.
`void` | `setFlag(String aFlag)` Deprecated Set flag.
`void` | `setRequired(boolean aBool)` Deprecated Set required.
`void` | `setRequiresFlagValue(boolean aBool)` Deprecated Set requires flag value.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### flag

    protected String flag

  Deprecated

### defaultValue

    protected String defaultValue

  Deprecated

### description

    protected String description

  Deprecated

### required

    protected boolean required

  Deprecated

### requiresFlagValue

    protected boolean requiresFlagValue

  Deprecated

Constructor Detail

### CommandLineArgument

    public CommandLineArgument(String aFlag,
                               boolean requiresValue,
                               boolean required)

  Deprecated
  Command line argument constructor.

  Parameters
    `aFlag` -
    `requiresValue` -
    `required` -

Method Detail

### setFlag

    public void setFlag(String aFlag)

  Deprecated
  Set flag.

  Parameters
    `aFlag` -

### getFlag

    public String getFlag()

  Deprecated
  Get flag.

  Returns
    `String`

### getDescription

    public String getDescription()

  Deprecated
  Get description.

  Returns
    `String`

### setDescription

    public void setDescription(String aDescription)

  Deprecated
  Set description.

  Parameters
    `aDescription` -

### setDefaultValue

    public void setDefaultValue(String aDefaultValue)

  Deprecated
  Set default value.

  Parameters
    `aDefaultValue` -

### getDefaultValue

    public String getDefaultValue()

  Deprecated
  Get default value.

  Returns
    `String`

### setRequired

    public void setRequired(boolean aBool)

  Deprecated
  Set required.

  Parameters
    `aBool` -

### isRequired

    public boolean isRequired()

  Deprecated
  Is required.

  Returns
    `boolean`

### setRequiresFlagValue

    public void setRequiresFlagValue(boolean aBool)

  Deprecated
  Set requires flag value.

  Parameters
    `aBool` -

### requiresFlagValue

    public boolean requiresFlagValue()

  Deprecated
  Requires flag value.

  Returns
    `boolean`

### equals

    public boolean equals(Object anObject)

  Deprecated
  Equals.

  Overrides:
    `equals` in class `Object`
  Parameters
    `anObject` -
  Returns
    `boolean`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.